summaryrefslogtreecommitdiffstats
path: root/csit
diff options
context:
space:
mode:
Diffstat (limited to 'csit')
-rw-r--r--csit/install-robotframework.sh11
-rwxr-xr-xcsit/run-csit.sh21
2 files changed, 16 insertions, 16 deletions
diff --git a/csit/install-robotframework.sh b/csit/install-robotframework.sh
index dada62215f..54dbce400a 100644
--- a/csit/install-robotframework.sh
+++ b/csit/install-robotframework.sh
@@ -1,12 +1,13 @@
-ROBOT_VENV=$(mktemp -d --suffix=robot_venv)
-echo "ROBOT_VENV=${ROBOT_VENV}" >> "${WORKSPACE}/env.properties"
+set -exu
+
+ROBOT3_VENV=$(mktemp -d --suffix=robot_venv)
+echo "ROBOT3_VENV=${ROBOT3_VENV}" >> "${WORKSPACE}/env.properties"
echo "Python version is: $(python3 --version)"
-python3 -m venv "${ROBOT_VENV}"
-source "${ROBOT_VENV}/bin/activate"
+python3 -m venv "${ROBOT3_VENV}"
+source "${ROBOT3_VENV}/bin/activate"
-set -exu
# Make sure pip3 itself us up-to-date.
python3 -m pip install --upgrade pip
diff --git a/csit/run-csit.sh b/csit/run-csit.sh
index aefcc8539f..25f5f6a77a 100755
--- a/csit/run-csit.sh
+++ b/csit/run-csit.sh
@@ -20,15 +20,22 @@
# Branched from ccsdk/distribution to this repository Feb 23, 2021
-# Activate the virtualenv containing all the required libraries installed by prepare-csit.sh
-source_safely "${ROBOT3_VENV}/bin/activate"
-
WORKDIR=$(mktemp -d --suffix=-robot-workdir)
#
# functions
#
+# wrapper for sourcing a file
+function source_safely() {
+ [ -z "$1" ] && return 1
+ relax_set
+ . "$1"
+ load_set
+}
+# Activate the virtualenv containing all the required libraries installed by prepare-csit.sh
+source_safely "${ROBOT3_VENV}/bin/activate"
+
function on_exit(){
rc=$?
if [[ ${WORKSPACE} ]]; then
@@ -112,14 +119,6 @@ function relax_set() {
set +o pipefail
}
-# wrapper for sourcing a file
-function source_safely() {
- [ -z "$1" ] && return 1
- relax_set
- . "$1"
- load_set
-}
-
#
# main
#